libgrits-dev_0.8.1-5+b1_amd64.deb


Advertisement

Description

libgrits-dev - Development files for grits

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libgrits-dev_0.8.1-5+b1_amd64.deb
Package name libgrits-dev
Package version 0.8.1
Package release 5+b1
Package architecture amd64
Package type deb
Category devel::lang:c devel::library field::geography implemented-in::c libdevel role::devel-lib
Homepage http://pileus.org/grits
License -
Maintainer Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Download size 18.27 KB
Installed size 98.00 KB

Alternatives

Package Version Architecture Repository
libgrits-dev_0.8.1-5_i386.deb 0.8.1 i386 Debian Main
libgrits-dev - - -

Requires

Name Value
libgrits5 = 0.8.1-5+b1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgrits-dev_0.8.1-5+b1_amd64.deb
Source Package libgrits

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgrits-dev deb package:
    # sudo apt-get install libgrits-dev

Files

Path
/usr/include/grits/gpqueue.h
/usr/include/grits/grits-opengl.h
/usr/include/grits/grits-plugin.h
/usr/include/grits/grits-prefs.h
/usr/include/grits/grits-util.h
/usr/include/grits/grits-viewer.h
/usr/include/grits/grits.h
/usr/include/grits/gtkgl.h
/usr/include/grits/roam.h
/usr/include/grits/data/grits-data.h
/usr/include/grits/data/grits-http.h
/usr/include/grits/data/grits-tms.h
/usr/include/grits/data/grits-wms.h
/usr/include/grits/objects/grits-callback.h
/usr/include/grits/objects/grits-line.h
/usr/include/grits/objects/grits-marker.h
/usr/include/grits/objects/grits-object.h
/usr/include/grits/objects/grits-poly.h
/usr/include/grits/objects/grits-tile.h
/usr/include/grits/objects/grits-volume.h
/usr/include/grits/objects/marching.h
/usr/lib/x86_64-linux-gnu/libgrits.so
/usr/lib/x86_64-linux-gnu/pkgconfig/grits.pc
/usr/share/doc/libgrits-dev/changelog.Debian.amd64.gz
/usr/share/doc/libgrits-dev/changelog.Debian.gz
/usr/share/doc/libgrits-dev/changelog.gz
/usr/share/doc/libgrits-dev/copyright
/usr/share/doc/libgrits-dev/examples/grits-demo.c.gz
/usr/share/doc/libgrits-dev/examples/grits-test.c

Changelog

2018-07-31 - Bas Couwenberg <sebastic@debian.org>
libgrits (0.8.1-5) unstable; urgency=medium
* Team upload.
* Drop autopkgtest to test installability.
* Add lintian override for testsuite-autopkgtest-missing.
2018-07-29 - Bas Couwenberg <sebastic@debian.org>
libgrits (0.8.1-4) unstable; urgency=medium
* Team upload.
* Update section for libgrits5 to libs.
* Update copyright-format URL to use HTTPS.
* Update Vcs-* URLs for Salsa.
* Bump Standards-Version to 4.1.5, no changes.
* Strip trailing whitespace from rules file.
* Add lintian override for debian-watch-uses-insecure-uri.
2017-06-25 - Bas Couwenberg <sebastic@debian.org>
libgrits (0.8.1-3) unstable; urgency=medium
* Team upload.
* Bump Standards-Version to 4.0.0, no changes.
* Use pkg-info.mk variables instead of dpkg-parsechangelog output.
* Enable PIE hardening buildflags.
* Add autopkgtest to test installability.
2016-05-07 - Bas Couwenberg <sebastic@debian.org>
libgrits (0.8.1-2) unstable; urgency=medium
* Team upload.
* Add gbp.conf to use pristine-tar by default.
* Restructure control file with cme, changes:
- Update Vcs-* URLs to use HTTPS.
* Update copyright file using copyright-format 1.0.
* Enable parallel builds.
* Enable bindnow hardening buildflags.
* Update Pre-Depends, use ${misc:Pre-Depends} instead of multiarch-support.
* Bump Standards-Version to 3.9.8, changes:
Vcs-* URLs & copyright-format 1.0.
* Add symbols file for libgrits5.
* Update watch file to handle common issues.
2013-06-19 - Andy Spencer <andy753421@gmail.com>
libgrits (0.8.1-1) unstable; urgency=low
* New upstream release
* Update version control URLs
* Remove lintain overrides
* Remove gmodule-2.0 patch
* Change website urls
* Switch to compat=9 for hardening
2012-02-16 - Andy Spencer <andy753421@gmail.com>
libgrits (0.7-1) unstable; urgency=low
* New upstream release
* Patch configure.ac to require gmodule-2.0
2012-01-10 - Andy Spencer <andy753421@gmail.com>
libgrits (0.6.3-1) unstable; urgency=low
* New upstream release
2011-11-25 - Andy Spencer <andy753421@gmail.com>
libgrits (0.6.1-1) unstable; urgency=low
* New upstream release
2011-11-02 - Andy Spencer <andy753421@gmail.com>
libgrits (0.6-1) unstable; urgency=low
* New upstream release
2011-09-12 - Andy Spencer <andy753421@gmail.com>
libgrits (0.5.2-1) unstable; urgency=low
* New upstream release
* Remove unnecessary autoreconf

See Also

Package Description
libgrits-doc_0.8.1-5_all.deb HTML documentation for grits
libgrits5_0.8.1-5+b1_amd64.deb Grits is a Virtual Globe library
libgrok-dev_1.20110708.1-4.3_amd64.deb development files for grok
libgrok1_1.20110708.1-4.3_amd64.deb shared libraries for grok
libgromacs-dev_2019.4-1_amd64.deb GROMACS molecular dynamics sim, development kit
libgromacs4_2019.4-1_amd64.deb GROMACS molecular dynamics sim, shared libraries
libgroonga-dev_9.0.8-1_amd64.deb Development files to use Groonga as a library
libgroonga0_9.0.8-1_amd64.deb Library files for Groonga
libgroove-dev_4.3.0-5_amd64.deb audio dispatching library (development files)
libgroove4_4.3.0-5_amd64.deb music player backend
libgroovefingerprinter-dev_4.3.0-5_amd64.deb acoustid fingerprinter sink for libgroove (development files)
libgroovefingerprinter4_4.3.0-5_amd64.deb acoustid fingerprinter for libgroove
libgrooveloudness-dev_4.3.0-5_amd64.deb loudness scanner sink for libgroove (development files)
libgrooveloudness4_4.3.0-5_amd64.deb loudness scanner for libgroove
libgrooveplayer-dev_4.3.0-5_amd64.deb audio device playback sink for libgroove (development files)
Advertisement
Advertisement